/*
	g320400.H

	Graphics 320x400 Library Header

	Version 1.0

	Copyright (C) 1994, Geoff Friesen B.Sc.
	All rights reserved.
*/

typedef unsigned char	byte;
typedef unsigned long	dword;
typedef	unsigned	word;

#define	OK			0
#define	ERROR			!OK

#define	GERR_BAD_ARGS		1
#define	GERR_FILE_CORRUPT	2
#define	GERR_FILE_NOT_CREATED	3
#define	GERR_FILE_NOT_OPENED	4
#define	GERR_FILE_NOT_READ	5
#define	GERR_FILE_NOT_WRITTEN 	6
#define	GERR_INSTALLED		7
#define	GERR_INSUF_MEM		8
#define	GERR_MEMORY_CORRUPT	9
#define	GERR_NOT_INSTALLED	10
#define	GERR_NOT_VGA		11

#define	BLACK			0
#define	BLUE			1
#define	GREEN			2
#define	CYAN			3
#define	RED			4
#define	MAGENTA			5
#define	BROWN			6
#define	LIGHTGRAY		7

#define	DARKGRAY		8
#define	LIGHTBLUE		9
#define	LIGHTGREEN		10
#define	LIGHTCYAN		11
#define	LIGHTRED		12
#define	LIGHTMAGENTA		13
#define	YELLOW			14
#define	WHITE			15

#define	HRES			320
#define	VRES			400

#define	DASHED			0xaaaaaaaaul
#define	PATTERN1		0xc0c0c0c0ul
#define	PATTERN2		0xff00ff00ul
#define	PATTERN3		0xfff0fff0ul
#define	PATTERN4		0xf000f000ul
#define	PATTERN5		0xffff0000ul
#define	PATTERN6		0xfffff0f0ul
#define	PATTERN7		0xfff0f0f0ul
#define	SOLID			0xfffffffful

word	g_AndRect		(word x, word y, char *buf);
word	g_Circle		(word x, word y, word r);
word	g_Cls			(word color);
word	g_CopyRect		(word x, word y, char *buf);
word	g_DeInit		(void);
word	g_Error			(void);
word	g_GetAPage		(word *pageno);
word	g_GetColor		(word *_fcolor, word *_bcolor);
word	g_GetLineStyle		(dword *_style);
word	g_GetLineWidth		(word *_width);
word	g_GetPalette		(word index, word *r, word *g, word *b);
word	g_GetPixel		(word x, word y, word *color);
word	g_GetRect		(word x1, word y1, word x2, word y2,
				 char *buf);
word	g_GetVPage		(word *pageno);
word	g_Init			(void);
word	g_LineTo		(word x, word y);
word	g_LoadG34		(char *filespec, char *buf);
word	g_MoveTo		(word x, word y);
word	g_Rectangle		(word x1, word y1, word x2, word y2);
word	g_SaveG34		(char *filespec, char *buf);
word	g_SetAPage		(word pageno);
word	g_SetColor		(word _fcolor, word _bcolor);
word	g_SetLineStyle		(dword _style);
word	g_SetLineWidth		(word _width);
word	g_SetPalette		(word index, word r, word g, word b);
word	g_SetPixel		(word x, word y);
word	g_SetVPage		(word pageno);
word	g_WriteChr		(word chr);
word	g_WriteStr		(const char *str);
word	g_XorRect		(word x, word y, char *buf);